Subject: Re: empty from, was Review of draft-kucherawy-dmarc-base-04

From: Franck Martin <[email-masked]>
Date: Wed, 23 Apr 2014 18:42:57 -0500 (CDT)

If you read carefully http://tools.ietf.org/html/rfc6854#section-3 
Mailbox syntax is the normal syntax to use in the "From:" and
   "Sender:" header fields; the address syntax defined in Section 2.1 ,
   which allows the specification of a group, is only for Limited Use
   (see RFC 2026 [RFC2026], Section 3.3 , item (d)) for the reasons
   described below. 
You will see that an empty from is not encouraged and to be used only when you have a specific EAI need. 

Basically if your MTA does EAI, it can reject emails (more or less safely) from another, EAI aware or not, MTA. 

More over if you do DMARC, I think it is perfectly fine to ignore this RFC, like people ignore SMTP over IPv6... 

If I recall, I pushed this change during the last call of the document, because the From: header with no domain in fact weakens anti-spam measures, and I don't think the IETF vision is "less security".